---
# yaml-language-server: $schema=https://schema.blue-build.org/module-list-v1.json
modules:
  - type: dnf
    install:
      packages:
        - dnf5-plugins
  - type: dnf
    repos:
      files:
        - https://negativo17.org/repos/fedora-multimedia.repo
      copr:
        - ublue-os/staging
        - kylegospo/oversteer
    install:
      packages:
        - https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-%OS_VERSION%.noarch.rpm
        - https://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-%OS_VERSION%.noarch.rpm
  - type: script
    snippets:
      - dnf -y config-manager setopt 'fedora-multimedia.priority=90'
  - type: dnf
    install:
      packages:
        - mesa-libxatracker
    replace:
      - from-repo: fedora-multimedia
        packages:
          - libheif
          - libva
          - libva-intel-media-driver
          - mesa-dri-drivers
          - mesa-filesystem
          - mesa-libEGL
          - mesa-libGL
          - mesa-libgbm
          - mesa-libglapi
          - mesa-libxatracker
          - mesa-va-drivers
          - mesa-vulkan-drivers
          - libvdpau
  - type: dnf
    remove:
      auto-remove: false
      packages:
        # - fdk-aac-free
        # - ffmpeg-free
        # - google-noto-sans-cjk-vf-fonts
        # - libavcodec-free
        # - libavdevice-free
        # - libavfilter-free
        # - libavformat-free
        # - libavutil-free
        # - libpostproc-free
        # - libswresample-free
        # - libswscale-free
        # - default-fonts-cjk-sans
        # - ffmpegthumbnailer
        - plasma-discover-rpm-ostree
    install:
      packages:
        - alsa-firmware
        # - android-udev-rules
        - apr
        - apr-util
        - distrobox
        - ffmpeg
        - ffmpeg-libs
        - ffmpegthumbnailer
        - flatpak-spawn
        - fuse
        - fzf
        - google-noto-sans-balinese-fonts
        - google-noto-sans-cjk-fonts
        - google-noto-sans-javanese-fonts
        - google-noto-sans-sundanese-fonts
        - grub2-tools-extra
        - heif-pixbuf-loader
        - htop
        - intel-vaapi-driver
        - just
        - kernel-tools
        - libcamera
        - libcamera-tools
        - libcamera-gstreamer
        - libcamera-ipa
        - libfdk-aac
        - libratbag-ratbagd
        - libva-utils
        - lshw
        - net-tools
        - nvme-cli
        - nvtop
        - openrgb-udev-rules
        - openssl
        - oversteer-udev
        - pam-u2f
        - pam_yubico
        - pamu2fcfg
        - pipewire-libs-extra
        - pipewire-plugin-libcamera
        - powerstat
        - smartmontools
        - solaar-udev
        - squashfs-tools
        - symlinks
        - tcpdump
        - tmux
        - traceroute
        - vim
        - wireguard-tools
        - wl-clipboard
        - yubikey-manager
        - zstd
        - icoutils
        - kate
        - kio-admin
        - ksshaskpass
        - kf6-kimageformats
        - qt6-qtimageformats
  - type: containerfile
    snippets:
      - |
        RUN --mount=type=bind,from=ghcr.io/ublue-os/config,src=/rpms,dst=/tmp/rpms \
          ls -lh /tmp/rpms/ && dnf -y install /tmp/rpms/ublue-os-luks.noarch.rpm && ostree container commit
